package nienaber.mobilecomputing.asg6;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AccelerateDecelerateInterpolator;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.view.animation.RotateAnimation;
import android.widget.Button;
import android.widget.TextView;

public class Service extends Activity {
    

	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        Intent caller = getIntent();
        if(caller!=null){
        	Uri myUri = caller.getData();
        	if(myUri!=null){
        		Animation anim = new RotateAnimation(0, 360, 200, 200);
                anim.setRepeatMode(Animation.REVERSE);
                anim.setRepeatCount(Animation.INFINITE);
                anim.setDuration(10000L);
                anim.setInterpolator(new AccelerateDecelerateInterpolator());
                
        		System.out.println(myUri.toString());
        		String results = myUri.toString();
        		System.out.println(results.substring(0, results.indexOf("~$~")));
        		System.out.println(results.substring(results.lastIndexOf("~$~")+3));
        		TextView myText = (TextView)findViewById(R.id.startText);
        		myText.setText("Call Started: "+results.substring(0, results.indexOf("~$~")));
        		myText.startAnimation(anim);
        		myText = (TextView)findViewById(R.id.endText);
        		myText.setText("Call Ended  : "+results.substring(results.indexOf("~$~")+3));
                myText.startAnimation(anim);
        	}
        }
        final Button startButton = (Button)findViewById(R.id.startService);
        startButton.setOnClickListener(new Button.OnClickListener(){

			public void onClick(View v) {
				// TODO Auto-generated method stub
				
				Intent service = new Intent();
		        service.setClassName("nienaber.mobilecomputing.asg6", "nienaber.mobilecomputing.asg6.ActiveService");
		        getBaseContext().startService(service);
			}
        	
        });
        
        final Button stopButton = (Button)findViewById(R.id.stopService);
        stopButton.setOnClickListener(new Button.OnClickListener(){

			public void onClick(View v) {
				// TODO Auto-generated method stub
				Intent service = new Intent();
		        service.setClassName("nienaber.mobilecomputing.asg6", "nienaber.mobilecomputing.asg6.ActiveService");
		        getBaseContext().stopService(service);
			}
        	
        });
        
        
        
        
    }
}